Patient Access API (v1)
info
The Netsmart US Core v1 Patient Access API supports the ONC 2015 Certification ((g)(10)) requirements for Patient Access using both Standalone and EHR Launch use cases.
Getting Started
Before using this API, retrieve the CapabilityStatement to understand supported resources and operations:
- Production
- Preview
curl -X GET https://fhir.netsmartcloud.com/uscore/v1/metadata \
-H "Accept: application/fhir+json"
curl -X GET https://fhirtest.netsmartcloud.com/uscore/v1/metadata \
-H "Accept: application/fhir+json"
The CapabilityStatement provides the definitive list of supported resources, operations, and search parameters for this API.
Base URL
- Production
- Preview
https://fhir.netsmartcloud.com/uscore/v1
https://fhirtest.netsmartcloud.com/uscore/v1
Resources
| Resource | Read | Search | Create | Update | Extended Operations |
|---|---|---|---|---|---|
| CapabilityStatement | ✅ | ||||
| AllergyIntolerance | ✅ | ✅ | |||
| Binary | ✅ | ||||
| CarePlan | ✅ | ✅ | |||
| CareTeam | ✅ | ✅ | |||
| Condition | ✅ | ✅ | |||
| Coverage | ✅ | ✅ | |||
| Device | ✅ | ✅ | |||
| DiagnosticReport | ✅ | ✅ | |||
| DocumentReference | ✅ | ✅ | |||
| Encounter | ✅ | ✅ | |||
| ExplanationOfBenefit | ✅ | ✅ | |||
| Goal | ✅ | ✅ | |||
| Group | ✅ | ✅ | |||
| Immunization | ✅ | ✅ | |||
| Location | ✅ | ✅ | |||
| MedicationRequest | ✅ | ✅ | |||
| Observation | ✅ | ✅ | |||
| Organization | ✅ | ✅ | |||
| Patient | ✅ | ✅ | |||
| Practitioner | ✅ | ✅ | |||
| Procedure | ✅ | ✅ | |||
| Provenance | ✅ |